Hello all.

I try to install ruby on rails and I am litle stuck now because of
following error:

http://pastebin.com/BmFyuRs6

Can someone help me?

I using Windows 7 Ultimate, Ruby 1.9.2-p180 and RubyGems 1.8.11.

What I did before run: gem install rails?

1. installing ruby through ruby installer
2. C:\Users\h4cky\Downloads\rubygems-1.8.10>ruby setup.rb
3. C:\Users\h4cky\Downloads\rubygems-1.8.10>gem update --system
4. D:\devKit>ruby dk.rb init
5. D:\devKit>ruby dk.rb review
6. D:\devKit>ruby dk.rb install

The Content of error log is: http://pastebin.com/GPrR2bGu

Thanks in advance.

Regards,
Ivelin Georgiev.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Search Discussions

  • Luis Lavena at Nov 4, 2011 at 2:25 am

    On Nov 3, 2:38 pm, h4ckY wrote:
    Hello all.

    I try to install ruby on rails and I am litle stuck now because of
    following error:

    http://pastebin.com/BmFyuRs6

    Can someone help me?
    Path with spaces, that is the issue.

    https://github.com/oneclick/rubyinstaller/wiki/Troubleshooting#wiki-gems_fails

    When you install Ruby using either RubyInstaller or RailsInstaller, it
    warns you about path with spaces (above the field you enter the path
    for installation).

    Install outside a path with spaces and things will work.

    --
    Luis Lavena

    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.
  • Ivelin \"h4ckY\" Georgiev at Nov 4, 2011 at 8:31 am
    Thank you for the answer - It Works now,
    but i have other problem :

    ============

    ERROR: While generating documentation for activesupport-3.1.1...

    MESSAGE: error generating ActiveSupport/Inflector.html: incompatible
    encoding regexp match (UTF-8 regexp with IBM866 string)
    (Encoding::CompatibilityError)

    ... RDOC args: --op
    D:/Ruby192/lib/ruby/gems/1.9.1/doc/activesupport-3.1.1/rdoc
    lib --title activesupport-3.1.1 Documentation --quiet

    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To view this discussion on the web visit https://groups.google.com/d/msg/rubyonrails-talk/-/vvTriTcaEAcJ.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.
  • Luis Lavena at Nov 4, 2011 at 11:05 am

    On Nov 4, 5:31 am, "Ivelin \"h4ckY\" Georgiev" wrote:
    Thank you for the answer - It Works now,
    but i have other problem :

    ============

    ERROR:  While generating documentation for activesupport-3.1.1...

    MESSAGE:   error generating ActiveSupport/Inflector.html: incompatible
    encoding regexp match (UTF-8 regexp with IBM866 string)
    (Encoding::CompatibilityError)
    Unless you're using "gem server" to look at ActiveSupport
    documentation you can install gems with --no-ri --no-rdoc options.

    You should update to latest rdoc gem so solve this encoding issue.

    Last but no least, try to use a console codepage that plays nicely
    with UTF-8, seems IBM866 is your current codepage, please change it to
    windows-1251:

    Type:

    chcp 1251

    At the command prompt before doing anything.

    If you want to make a permanent change, see here:

    https://github.com/cucumber/cucumber/wiki/Troubleshooting
    http://codesnippets.joyent.com/posts/show/414

    --
    Luis lavena

    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.
  • Ivelin \"h4ckY\" Georgiev at Nov 4, 2011 at 11:26 am
    Interesting is after running again - gem install rails
    Everything was okay without error or warning.

    But i do what you say.

    Thank you very much!

    On 4 November 2011 13:05, Luis Lavena wrote:
    On Nov 4, 5:31 am, "Ivelin \"h4ckY\" Georgiev" wrote:
    Thank you for the answer - It Works now,
    but i have other problem :

    ============

    ERROR: While generating documentation for activesupport-3.1.1...

    MESSAGE: error generating ActiveSupport/Inflector.html: incompatible
    encoding regexp match (UTF-8 regexp with IBM866 string)
    (Encoding::CompatibilityError)
    Unless you're using "gem server" to look at ActiveSupport
    documentation you can install gems with --no-ri --no-rdoc options.

    You should update to latest rdoc gem so solve this encoding issue.

    Last but no least, try to use a console codepage that plays nicely
    with UTF-8, seems IBM866 is your current codepage, please change it to
    windows-1251:

    Type:

    chcp 1251

    At the command prompt before doing anything.

    If you want to make a permanent change, see here:

    https://github.com/cucumber/cucumber/wiki/Troubleshooting
    http://codesnippets.joyent.com/posts/show/414

    --
    Luis lavena

    --
    You received this message because you are subscribed to the Google Groups
    "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to
    rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at
    http://groups.google.com/group/rubyonrails-talk?hl=en.

    --
    Ivelin Georgiev,
    Web Developer

    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedNov 3, '11 at 11:46p
activeNov 4, '11 at 11:26a
posts5
users2
websiterubyonrails.org
irc#RubyOnRails

People

Translate

site design / logo © 2021 Grokbase